> ## Documentation Index
> Fetch the complete documentation index at: https://docs.egma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a project



## OpenAPI

````yaml openapi.json GET /v1/projects/{projectId}
openapi: 3.1.0
info:
  title: Egma Platform API
  version: 1.0.0
  description: >-
    The customer-facing HTTP interface used by Egma's web app, CLI, and outside
    clients.
servers:
  - url: https://app.egma.ai
security: []
paths:
  /v1/projects/{projectId}:
    get:
      tags:
        - Projects
      summary: Get a project
      operationId: getProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: The project.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                  name:
                    type: string
                  slug:
                    type: string
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                  organizationId:
                    type: string
                    minLength: 1
                  revision:
                    type: string
                    minLength: 1
                  createdAt:
                    type: string
                    format: date-time
                  mayManageProjects:
                    type: boolean
                required:
                  - id
                  - name
                  - slug
                  - description
                  - organizationId
                  - revision
                  - createdAt
                  - mayManageProjects
                additionalProperties: false
        '401':
          description: The request was refused.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Refusal'
        '404':
          description: The request was refused.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Refusal'
        '429':
          description: The request rate limit was reached.
          headers:
            Retry-After:
              description: Seconds to wait before trying again.
              schema:
                type: integer
                minimum: 1
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Refusal'
      security:
        - bearerAuth: []
        - sessionCookie: []
components:
  schemas:
    Refusal:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - error
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Egma API key.
    sessionCookie:
      type: apiKey
      in: cookie
      name: egma.session_token
      description: >-
        The browser session cookie issued by Egma. HTTPS deployments add the
        standard __Secure- prefix.

````